import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * Schema for Module Fragment of type Cadiaz::Bucket::Uno::MODULE
 *
 * @schema CfnUnoModuleProps
 */
export interface CfnUnoModuleProps {
    /**
     * @schema CfnUnoModuleProps#Parameters
     */
    readonly parameters?: CfnUnoModulePropsParameters;
    /**
     * @schema CfnUnoModuleProps#Resources
     */
    readonly resources?: CfnUnoModulePropsResources;
}
/**
 * Converts an object of type 'CfnUnoModuleProps' to JSON representation.
 */
export declare function toJson_CfnUnoModuleProps(obj: CfnUnoModuleProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnUnoModulePropsParameters
 */
export interface CfnUnoModulePropsParameters {
    /**
     * Name for the bucket
     *
     * @schema CfnUnoModulePropsParameters#BucketCustomName
     */
    readonly bucketCustomName?: CfnUnoModulePropsParametersBucketCustomName;
}
/**
 * Converts an object of type 'CfnUnoModulePropsParameters' to JSON representation.
 */
export declare function toJson_CfnUnoModulePropsParameters(obj: CfnUnoModulePropsParameters | undefined): Record<string, any> | undefined;
/**
 * @schema CfnUnoModulePropsResources
 */
export interface CfnUnoModulePropsResources {
    /**
     * @schema CfnUnoModulePropsResources#S3Bucket
     */
    readonly s3Bucket?: CfnUnoModulePropsResourcesS3Bucket;
}
/**
 * Converts an object of type 'CfnUnoModulePropsResources' to JSON representation.
 */
export declare function toJson_CfnUnoModulePropsResources(obj: CfnUnoModulePropsResources | undefined): Record<string, any> | undefined;
/**
 * Name for the bucket
 *
 * @schema CfnUnoModulePropsParametersBucketCustomName
 */
export interface CfnUnoModulePropsParametersBucketCustomName {
    /**
     * @schema CfnUnoModulePropsParametersBucketCustomName#Type
     */
    readonly type: string;
    /**
     * @schema CfnUnoModulePropsParametersBucketCustomName#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnUnoModulePropsParametersBucketCustomName' to JSON representation.
 */
export declare function toJson_CfnUnoModulePropsParametersBucketCustomName(obj: CfnUnoModulePropsParametersBucketCustomName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnUnoModulePropsResourcesS3Bucket
 */
export interface CfnUnoModulePropsResourcesS3Bucket {
    /**
     * @schema CfnUnoModulePropsResourcesS3Bucket#Type
     */
    readonly type?: string;
    /**
     * @schema CfnUnoModulePropsResourcesS3Bucket#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnUnoModulePropsResourcesS3Bucket' to JSON representation.
 */
export declare function toJson_CfnUnoModulePropsResourcesS3Bucket(obj: CfnUnoModulePropsResourcesS3Bucket | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `Cadiaz::Bucket::Uno::MODULE`
 *
 * @cloudformationResource Cadiaz::Bucket::Uno::MODULE
 * @stability external
 * @link http://unknown-url
 */
export declare class CfnUnoModule extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "Cadiaz::Bucket::Uno::MODULE";
    /**
     * Resource props.
     */
    readonly props: CfnUnoModuleProps;
    /**
     * Create a new `Cadiaz::Bucket::Uno::MODULE`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnUnoModuleProps);
}
